<?php
  class Shop_model extends CI_Model {
    public function __construct()
      {
          $this->load->database();
      }
  
      function getproductmen($fkProductTypeId){
       
      

        $this->db->select("productcreation.productId,productcreation.productName,productcreation.fkProductTypeId,productcreation.image1,productcreation.image2,productcreation.saleRate,productcreation.productDiscount,productcreation.description,productcreation.fkmainType,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId");
        $this->db->from('productcreation');

        $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
        $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
        $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
        $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');
  
        $this->db->where('productcreation.fkProductTypeId',$fkProductTypeId);
        $this->db->where('productcreation.is_active','1');        
        $this->db->where('productcreation.websiteFlag','1');
        $this->db->where_in('productcreation.fkmainType',  array("1", "3"));
        $this->db->where('productcreation.saleRate>=', '500');
        $this->db->where('productcreation.fkmainType<=', '15000');  
           

        
        
        $query = $this->db->get();
        return $query->result();
 }

 function getproductWomen($fkProductTypeId){
       
      

  $this->db->select("productcreation.productId,productcreation.productName,productcreation.fkProductTypeId,productcreation.image1,productcreation.image2,productcreation.saleRate,productcreation.productDiscount,productcreation.description,productcreation.fkmainType,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId");
  $this->db->from('productcreation');


  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');

  $this->db->where('productcreation.fkProductTypeId',$fkProductTypeId);
  $this->db->where('productcreation.is_active','1');        
  $this->db->where('productcreation.websiteFlag','1');
  $this->db->where_in('productcreation.fkmainType',  array("2", "3"));
  $this->db->where('productcreation.saleRate>=', '500');
  $this->db->where('productcreation.fkmainType<=', '15000');    
        

   
  
  $query = $this->db->get();
  return $query->result();
}

 function getproductByCollectionid($fkcollectionId){


  $this->db->select("productcreation.productId,productcreation.productName,productcreation.fkProductTypeId,productcreation.image1,productcreation.image2,productcreation.saleRate,productcreation.productDiscount,productcreation.description,productcreation.fkmainType,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId");
  $this->db->from('productcreation');

  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');

  $this->db->where('productcreation.fkcollectionId',$fkcollectionId);
  $this->db->where('productcreation.is_active','1');        
  $this->db->where('productcreation.websiteFlag','1');         
  $query = $this->db->get();
  return $query->result();
}


 public function getProductType()
 {   
       $this->db->select("producttypeId,producttypeName");
       $this->db->from('producttype_master');
       $this->db->where('is_active','1');          
       $this->db->where('websiteFlag','1');          

       $query = $this->db->get();
       return $query->result();

   
 }
      
 function getcolor(){
  $this->db->select("productColorId,productColorName");
   $this->db->from('productcolor');
   $this->db->where('is_active','1');    
   $this->db->where('websiteFlag','1');          

   $query = $this->db->get();
   return $query->result();
}

function getsize(){
     $this->db->select("productSizeId,productSizeName");
   $this->db->from('productsize');
   $this->db->where('is_active','1');  
   $this->db->where('websiteFlag','1');          

   $query = $this->db->get();
   return $query->result();
}

function getLength(){
  // ***************** Get Count column
  //   $this->db->select("productLengthId,productLengthName,COUNT(productLengthName) as count");
  // $this->db->from('productlength');
  // $this->db->group_by('productLengthId, productLengthName');
  // $this->db->where('is_active','1');          
  // $query = $this->db->get();
  // return $query->result();
  $this->db->select("productLengthId,productLengthName");
  $this->db->from('productlength');
  $this->db->where('is_active','1');   
  $this->db->where('productlength.websiteFlag','1');          

  $query = $this->db->get();
  return $query->result();
}

function getproductCount($fkProductTypeId){
  

  
    $this->db->select("productcreation.fkProductTypeId");
    $this->db->from('productcreation');

    $this->db->where('productcreation.fkProductTypeId',$fkProductTypeId);
    $this->db->where('productcreation.is_active','1'); 
    $this->db->where('productcreation.websiteFlag','1');          

    return $this->db->count_all_results();


}

function getproductCountByCollection($fkcollectionId){
  // ***************** Get Count table

    $this->db->select("productcreation.fkcollectionId");
    $this->db->from('productcreation');

    $this->db->where('productcreation.fkcollectionId',$fkcollectionId);
    $this->db->where('productcreation.is_active','1');  
    $this->db->where('productcreation.websiteFlag','1');          

    return $this->db->count_all_results();


}



function getproductByColorId($colorId){

 
  $this->db->select("productcreation.productId,productcreation.image1,productcreation.saleRate,productcreation.productDiscount,fkproductColorId,productName,productcreation.image2,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId,productcreation.description");
  $this->db->from('productcreation');

  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');
 
      $this->db->where('productcreation.is_active','1');
      $this->db->where('productcreation.websiteFlag','1');          

  
      if($colorId){
        $this->db->where('productcreation.fkproductColorId',$colorId);


      }
     

   
      
      $query = $this->db->get();
      return $query->result();


}


function getproductTypeById($checkboxValues,$decrementInput,$incrementInput,$priceasdesc){

 
  $this->db->select("productcreation.productId,productcreation.image1,productcreation.saleRate,productcreation.productDiscount,fkproductColorId,productName,productcreation.image2,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId,productcreation.saleRate,productcreation.description");
  $this->db->from('productcreation');



  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');


 
      $this->db->where('productcreation.is_active','1');
      $this->db->where('productcreation.websiteFlag','1');          

        $this->db->where_in('productcreation.fkProductTypeId',$checkboxValues);
        $this->db->where('productcreation.saleRate>=', $decrementInput);
        $this->db->where('productcreation.saleRate<=', $incrementInput); 
        if($priceasdesc>0){
         if($priceasdesc==4) {
          $this->db->order_by('productcreation.saleRate','asc'); 
         }else if($priceasdesc==5) {
          $this->db->order_by('productcreation.saleRate','desc'); 
         }
        }else{
          
            $this->db->order_by('productcreation.saleRate','asc'); 
           
        }


$query = $this->db->get();
return $query->result();


}
function getproductLengthById($checkboxValues){

 
  $this->db->select("productcreation.productId,productcreation.image1,productcreation.saleRate,productcreation.productDiscount,fkproductColorId,productName,productcreation.image2,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId,productcreation.description");
  $this->db->from('productcreation');

  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');
 
      $this->db->where('productcreation.is_active','1');
      $this->db->where('productcreation.websiteFlag','1');          

       
        $this->db->where_in('productcreation.fkproductLengthId',$checkboxValues);


$query = $this->db->get();
return $query->result();


}

function getproductSizeById($checkboxValues){

 
  $this->db->select("productcreation.productId,productcreation.image1,productcreation.saleRate,productcreation.productDiscount,fkproductColorId,productName,productcreation.image2,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId,productcreation.description");
  $this->db->from('productcreation');

  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');


 
      $this->db->where('productcreation.is_active','1');
      $this->db->where('productcreation.websiteFlag','1');          

       
        $this->db->where_in('productcreation.fkproductSizeId',$checkboxValues);


$query = $this->db->get();
return $query->result();


}



function getproductPricedata($increment,$decrement){

 
  $this->db->select("productcreation.productId,productcreation.image1,productcreation.saleRate,productcreation.productDiscount,fkproductColorId,productName,productcreation.image2,saleRate,productsize.productSizeId,productlength.productLengthId,producttype_master.producttypeId,productcolor.productColorId,productcreation.description");
  $this->db->from('productcreation');


  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('producttype_master','productcreation.fkProductTypeId  = producttype_master.producttypeId','left');
  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');

 
      $this->db->where('productcreation.is_active','1');
      $this->db->where('productcreation.websiteFlag','1');          

       
        // $this->db->where_in('productcreation.saleRate',$increment);
        $this->db->where('productcreation.saleRate <=', $increment);
        $this->db->where('productcreation.saleRate >=', $decrement);  

$query = $this->db->get();
return $query->result();
// return $this->db->last_query();


}






// ******************************  start  product details page queries ****************************************//



// ************  product details query***********
function getAllproductByid($productId){
  $this->db->select("productcreation.productId,productcreation.productName,productcreation.fkProductTypeId,productcreation.image1,productcreation.image2,productcreation.image3,productcreation.image4,productcreation.saleRate,productcreation.productDiscount,productcreation.description,productcreation.fkproductColorId,productcolor.productColorName,productlength.productLengthName,productcreation.fkproductLengthId,productcreation.fkproductSizeId,productsize.productSizeName,productcreation.fkcollectionId,productcreation.productFamilyCode");
  $this->db->from('productcreation');

  $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','left');
  $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','left');
  $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','left');



  $this->db->where('productcreation.productId',$productId);
  $this->db->where('productcreation.is_active','1'); 
  $this->db->where('productcreation.websiteFlag','1');          

  $query = $this->db->get();
  return $query->result();
}


public function getproductSlider($productId)
{   
   $this->db->select('productcreation.image3,productcreation.image4,productcreation.productId');
   $this->db->from('productcreation');
         

  $this->db->where('productcreation.productId',$productId);
 
  
   $this->db->where('productcreation.is_active','1');
  $this->db->where('productcreation.websiteFlag','1');          

   $query = $this->db->get();
        return $query->result();   
        
}

// ************  get collection by collection id ***********


public function getcollection($fkcollectionId,$productId)
     {
      $this->db->select("productcreation.productId,productcreation.fkcollectionId,productcreation.image1,productcreation.image2");
      $this->db->from('productcreation');
    
      $this->db->join('collection_master','productcreation.fkcollectionId  = collection_master.collectionId','left');
      
          $this->db->where('productcreation.is_active','1');
         $this->db->where('productcreation.websiteFlag','1');          

      
               $this->db->where('productcreation.fkcollectionId', $fkcollectionId);
       
               $this->db->where('productcreation.productId !=', $productId);

          $query = $this->db->get();
          return $query->result();


     }


     // ************  get Size  by familycode ***********


public function getfamilySize($productFamilyCode)
{
 $this->db->select("productcreation.productId,productcreation.productFamilyCode,productcreation.image1,productcreation.image2,productcreation.fkproductSizeId,productsize.productSizeName");
 $this->db->from('productcreation');

 $this->db->join('productsize','productcreation.fkproductSizeId  = productsize.productSizeId','inner');


     $this->db->where('productcreation.is_active','1');
     $this->db->where('productcreation.websiteFlag','1');          
     $this->db->where('productcreation.productFamilyCode', $productFamilyCode);
  
     
     $query = $this->db->get();
     return $query->result();


}

public function getfamilyLength($productFamilyCode)
{
 $this->db->select("productcreation.productId,productcreation.productFamilyCode,productcreation.image1,productcreation.image2,productcreation.fkproductLengthId,productlength.productLengthName");
 $this->db->from('productcreation');

 
 $this->db->join('productlength','productcreation.fkproductLengthId  = productlength.productLengthId','inner');
 

     $this->db->where('productcreation.is_active','1');
    $this->db->where('productcreation.websiteFlag','1');          

    $this->db->where('productcreation.productFamilyCode', $productFamilyCode);
  
     
     $query = $this->db->get();
     return $query->result();


}


public function getfamilyColor($productFamilyCode)
{
 $this->db->select("productcreation.productId,productcreation.productFamilyCode,productcreation.image1,productcreation.image2,productcolor.productColorName,productcreation.fkproductColorId");
 $this->db->from('productcreation');


 $this->db->join('productcolor','productcreation.fkproductColorId  = productcolor.productColorId','inner');


 
     $this->db->where('productcreation.is_active','1');
$this->db->where('productcreation.websiteFlag','1');          

 
          $this->db->where('productcreation.productFamilyCode', $productFamilyCode);
  
     
     $query = $this->db->get();
     return $query->result();


}





public function getprodata($productId)
     {
      $this->db->select("productcreation.productId,productcreation.productName,productcreation.saleRate,productcreation.description,productcreation.productDiscount,productcreation.image1");
      $this->db->from('productcreation');
    
    
      
          $this->db->where('productcreation.is_active','1');
          $this->db->where('productcreation.websiteFlag','1');          
          $this->db->where('productcreation.productId', $productId);
       
          
          $query = $this->db->get();
          return $query->result();


     }

     public function getproslider($productId)
     {
      $this->db->select("productcreation.productId,productcreation.image3,productcreation.image4");
      $this->db->from('productcreation');
    
      // $this->db->join('collection_master','productcreation.fkcollectionId  = collection_master.collectionId','left');
      
          $this->db->where('productcreation.is_active','1');
  $this->db->where('productcreation.websiteFlag','1');          

      
               $this->db->where('productcreation.productId', $productId);
       
          
          $query = $this->db->get();
          return $query->result();


     }

      
}